jvx.math

## Class MathUpdateListener

- java.lang.Object
- - jvx.math.MathListener
  - - jvx.math.MathUpdateListener

- All Implemented Interfaces:
    java.lang.Runnable, PsUpdateIf

      public class MathUpdateListener
      extends MathListener
      implements PsUpdateIf, java.lang.Runnable

  Listener for update mechanism of JavaView to invoke Mathematica commands. The event contains information about the change JavaView object, often it contains the changed object.
  See Also:
    `PsObject`, `PsPanel`, `PsUpdateIf`
  Author:
    Konrad Polthier
  Version:
    27.07.00, 1.00 revised (kp)
    27.07.00, 1.00 created (kp)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathUpdateListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PsUpdateIf` | `getFather()` Get parent and do nothing else.
    `void` | `run()`
    `void` | `setParent(PsUpdateIf parent)` Set parent and do nothing else.
    `boolean` | `update(java.lang.Object event)` Event handling method in the update mechanism calls handling method inside Mathematica to process the event.

    - ### Methods inherited from class jvx.math.MathListener

      `getHandler, getName, setHandler, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### MathUpdateListener

          public MathUpdateListener()

  - ### Method Detail

    - #### getFather

          public PsUpdateIf getFather()

      Get parent and do nothing else.
      Specified by:
        `getFather` in interface `PsUpdateIf`
      See Also:
        `setParent(PsUpdateIf)`, `update(Object)`

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Set parent and do nothing else.
      Specified by:
        `setParent` in interface `PsUpdateIf`
      Parameters:
        `parent` - will receive events which `this` does not handle
      See Also:
        `getFather()`, `update(Object)`

    - #### update

          public boolean update(java.lang.Object event)

      Event handling method in the update mechanism calls handling method inside Mathematica to process the event.

      Note, currently this method starts a new thread to let Mathematica work asyncronously. If this method is invoked while Mathematica is working then only the last request is used to initiate another Mathematica operation.

      Specified by:
        `update` in interface `PsUpdateIf`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

"

The software JavaView? is copyright protected. All Rights Reserved.
"